package com.zcloud.service.notice;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;

/**
 * 说明：企业通知公告
 * 作者：luoxiaobao
 * 时间：2021-01-22
 * 官网：www.zcloudchina.com
 */
public interface NoticeCorpService{

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception;

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception;

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception;

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception;

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception;

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception;
	public PageData findByUserId(PageData pd)throws Exception;

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteAll(String[] ArrayDATA_IDS)throws Exception;

	public List<PageData> listByUserId(Page page) throws Exception;
	/**列表首页显示通知
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> listByIndex(Page page)throws Exception;


	public int getRedPoint(PageData pd) throws Exception;

	/**获取平台公告（第一条）
	 * @param pd
	 * @throws Exception
	 */
	public PageData getPlaNewNotice(PageData pd)throws Exception;

	/**
	 * 发送站内信
	 * @param pd
	 */
	void sendNotice(PageData pd)throws Exception;
}

